web-examples/jsf-example/src/main/java/hu/webvalto/examples/jsf/StudentsBean.java
package hu.webvalto.examples.jsf;

import org.primefaces.PrimeFaces;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.ViewScoped;
import java.io.Serializable;
import java.time.ZoneId;
import java.util.Date;
import java.util.List;

@ViewScoped
@ManagedBean(name = "studentsBean")
public class StudentsBean implements Serializable {

    @ManagedProperty("#{studentStoreService}")
    private StudentStoreService studentStore;

    private Student newStudent = new Student();

    public void saveStudent() {
        studentStore.getStudents().add(newStudent);
        newStudent = new Student();
        PrimeFaces.current().ajax().update("form");
    }

    public void setNewStudentDateOfBirth(Date date) {
        if (date != null) {
            newStudent.setDateOfBirth(
                date.toInstant()
                    .atZone(ZoneId.systemDefault())
                    .toLocalDate()
            );
        }
    }

    public Date getNewStudentDateOfBirth() {
        if (newStudent.getDateOfBirth() != null) {
            return Date.from(
                newStudent.getDateOfBirth()
                    .atStartOfDay()
                    .atZone(ZoneId.systemDefault())
                    .toInstant()
            );
        }
        return null;
    }

    public List<Student> getStudents() {
        return studentStore.getStudents();
    }

    public void setStudentStore(StudentStoreService studentStore) {
        this.studentStore = studentStore;
    }

    public Student getNewStudent() {
        return newStudent;
    }

    public void setNewStudent(Student newStudent) {
        this.newStudent = newStudent;
    }
}

web-examples/jsf-example/src/main/webapp/index.xhtml
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui">

<h:head>
</h:head>

<h:body>
    <h:form id="form">

        <h2 style="text-align: center">Add student:</h2>

        <p:panelGrid layout="grid" columns="2">
            <p:outputLabel value="Name:" for="nameField"/>
            <p:inputText id="nameField" value="#{studentsBean.newStudent.name}"
                required="true" />

            <p:outputLabel value="Date of birth:" for="dateField"/>
            <p:calendar id="dateField" value="#{studentsBean.newStudentDateOfBirth}"
                        locale="hu" required="true" />
        </p:panelGrid>
        <p:commandButton update="@form" process="@this" ajax="false"
                         value="Save" actionListener="#{studentsBean.saveStudent()}" />

        <p> </p>
        <p> </p>
        <p> </p>

        <h2 style="text-align: center">List of students:</h2>
        <p:dataTable id="tbl" var="student" value="#{studentsBean.students}"
                     paginator="true" rows="10" style="margin-bottom:20px">
            <p:column headerText="Id" sortBy="#{student.id}">
                <h:outputText value="#{student.id}"/>
            </p:column>

            <p:column headerText="Name" sortBy="#{student.name}">
                <h:outputText value="#{student.name}"/>
            </p:column>

            <p:column headerText="Date of birth" sortBy="#{student.dateOfBirth}">
                <h:outputText value="#{student.dateOfBirth}"/>
            </p:column>
        </p:dataTable>
    </h:form>
</h:body>
</html>